
$scrollbarSize: 8px;

html, body {
  background: #343a40 !important;
  font-family: "Roboto",
    sans-serif,
    "Nunito",
    "Lato",
    "Poppins",
    -apple-system,
    BlinkMacSystemFont,
    "Segoe UI",
    Roboto,
    "Helvetica Neue",
    Arial,
    "Apple Color Emoji",
    "Segoe UI Emoji",
    "Segoe UI Symbol";
}

noscript {
  color: #1da556;
}

a,
a:hover,
a:active {
  text-decoration: none;
}

a {
  color: #22c069;
}

a:hover {
  color: #056830;
}

button, section {
  outline: none !important;
}

::-webkit-scrollbar {
    width: $scrollbarSize;
    height: $scrollbarSize;
}

::-webkit-scrollbar-track {
    background: #e2e2e2;
}

::-webkit-scrollbar-thumb {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.5);
    box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.5);
    opacity: .1;
    background: #404040;
}

::-webkit-scrollbar-thumb:hover {
    background: #5d5d5d;
}

::selection {
  background: #38c172;
  color: #fff;
}

.load {
  height: 100vh;
  width: 100vw;
  display: flex;
  align-items: center;
  position: fixed;
  background: #ffffff;
  z-index: 1000;

  + div {
    height: 100vh;
    overflow: hidden;
  }

  &.loaded {
    animation: ease loaded 1s;
  }

  .load-icon-wrap {
    background: url("./img/page-loading.gif") center center no-repeat;
    background-size: 150px;
    background-color: #fff;
    width: 100vw;
    height: 100vh;
  }
}

@mixin transform($val) {
  -webkit-transform: $val;
  -moz-transform: $val;
  -ms-transform: $val;
  -o-transform: $val;
  transform: $val;
}
